package com.atlassian.stash.internal.pull.rescope;

import com.atlassian.bitbucket.pull.SimpleRescopeDetails;

import java.io.Serializable;

/**
 * @since 1.3
 */
public class InternalRescopeActivityDetails implements Serializable {

    private final SimpleRescopeDetails added;
    private final SimpleRescopeDetails removed;

    public InternalRescopeActivityDetails(SimpleRescopeDetails added, SimpleRescopeDetails removed) {
        this.added = added;
        this.removed = removed;
    }

    public SimpleRescopeDetails getAdded() {
        return added;
    }

    public SimpleRescopeDetails getRemoved() {
        return removed;
    }

    public boolean isEmpty() {
        return added.isEmpty() && removed.isEmpty();
    }
}
